-- | Functions that operate on 'Enum'

module Data.Enum.Util (enumerate) where

-- | Get all the values of an enum. This is a possibly unbounded list.

enumerate :: Bounded a => Enum a => [a]
enumerate = [minBound..maxBound]

